# HG changeset patch
# User Jim Unroe <rock.unroe@gmail.com>
# Date 1357178287 18000
# Node ID 7c133e7f95aa489ada1259afb0edc6b1d9830855
# Parent  36cdaf20baf636531181f1928d628fb293df6fa6
[uv5r] Add 'Alarm Mode' Setting
Allow setting the Alarm Mode to 'Site', 'Tone' or 'Code'
Added to Advanced Settings tab
#393

diff -r 36cdaf20baf6 -r 7c133e7f95aa chirp/uv5r.py
--- a/chirp/uv5r.py	Tue Jan 01 20:16:10 2013 -0800
+++ b/chirp/uv5r.py	Wed Jan 02 20:58:07 2013 -0500
@@ -147,6 +147,7 @@
 RESUME_LIST = ["TO", "CO", "SE"]
 MODE_LIST = ["Channel", "Name", "Frequency"]
 COLOR_LIST = ["Off", "Blue", "Orange", "Purple"]
+ALMOD_LIST = ["Site", "Tone", "Code"]
 TDRAB_LIST = ["Off", "A", "B"]
 PONMSG_LIST = ["Full", "Message"]
 
@@ -160,6 +161,7 @@
     "wtled" : COLOR_LIST,
     "rxled" : COLOR_LIST,
     "txled" : COLOR_LIST,
+    "almod" : ALMOD_LIST,
     "tdrab" : TDRAB_LIST,
     "ponmsg" : PONMSG_LIST,
 }
@@ -622,6 +624,11 @@
                                                 TDRAB_LIST[_settings.tdrab]))
         advanced.append(rs)
 
+        rs = RadioSetting("almod", "Alarm Mode",
+                          RadioSettingValueList(ALMOD_LIST,
+                                                ALMOD_LIST[_settings.almod]))
+        advanced.append(rs)
+
         rs = RadioSetting("beep", "Beep",
                           RadioSettingValueBoolean(_settings.beep))
         basic.append(rs)
